Index: /LMDZ6/trunk/libf/phylmdiso/cv3_routines.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmdiso/cv3_routines.F90	(revision 4049)
+++ /LMDZ6/trunk/libf/phylmdiso/cv3_routines.F90	(revision 4050)
@@ -403,5 +403,5 @@
         enddo !do i=1,len
 #endif          
-! initialiser quelques variables oubliées
+! initialiser quelques variables oubliees
        do i=1,len
           plcllo(i)=0.0
@@ -900,5 +900,5 @@
           zfice(i) = MIN(MAX(zfice(i),0.0),1.0)          
        enddo
-       ! calcul de la composition du condensat glacé et liquide
+       ! calcul de la composition du condensat glace et liquide
 
        do i=1,len
@@ -959,5 +959,5 @@
 
 #ifdef ISOVERIF
-            write(*,*) 'cv3_routine undilute 1 598: après condiso'
+            write(*,*) 'cv3_routine undilute 1 598: apres condiso'
           
           if (iso_eau.gt.0) then
@@ -1435,5 +1435,5 @@
 
 !JAM--------------------------------------------------------------------
-! Calcul de la quantité d'eau sous forme de glace
+! Calcul de la quantite d'eau sous forme de glace
 ! --------------------------------------------------------------------
   INTEGER nl, len
@@ -2856,5 +2856,5 @@
       real xtrti(ntraciso,nloc)
       real xtres(ntraciso)
-      ! on ajoute la dimension nloc à xtrti pour vérifs dans les tags: 5 fev
+      ! on ajoute la dimension nloc a xtrti pour verifs dans les tags: 5 fev
       ! 2010
       real zfice(nloc),zxtliq(ntraciso,nloc),zxtice(ntraciso,nloc)
@@ -2873,5 +2873,5 @@
 #ifdef ISO
 #ifdef ISOVERIF
-!       write(*,*) 'cv3_routines 1820: entrée dans cv3_mixing'
+!       write(*,*) 'cv3_routines 1820: entree dans cv3_mixing'
        do i=minorig+1,nl
         do il=1,ncum
@@ -3083,6 +3083,6 @@
 !     :           'tcond(il),rs(il,j)=',
 !     :            il,i,j,xtent(:,il,i,j),tcond(il),rs(il,j)
-        ! colorier la vapeur résiduelle selon température de
-        ! condensation, et le condensat en un tag spécifique
+        ! colorier la vapeur residuelle selon temperature de
+        ! condensation, et le condensat en un tag specifique
           if ((elij(il,i,j).gt.0.0).and.(qent(il,i,j).gt.0.0)) then  
             if (option_traceurs.eq.17) then        
@@ -3194,6 +3194,6 @@
 #ifdef ISOTRAC          
         if (option_tmin.ge.1) then
-        ! colorier la vapeur résiduelle selon température de
-        ! condensation, et le condensat en un tag spécifique
+        ! colorier la vapeur residuelle selon temperature de
+        ! condensation, et le condensat en un tag specifique
 !        write(*,*) 'cv3 tmp 2095 il,i,j,xtent(:,il,i,j)=',
 !     :            il,i,j,xtent(:,il,i,j)
@@ -3431,6 +3431,6 @@
 #ifdef ISOTRAC          
         if (option_tmin.ge.1) then
-        ! colorier la vapeur résiduelle selon température de
-        ! condensation, et le condensat en un tag spécifique
+        ! colorier la vapeur residuelle selon temperature de
+        ! condensation, et le condensat en un tag specifique
 !        write(*,*) 'cv3 tmp 2314 il,i,j,xtent(:,il,i,j)=',
 !     :            il,i,j,xtent(:,il,i,j)
@@ -3543,10 +3543,10 @@
 #ifdef ISO
 #ifdef ISOTRAC
-        ! seulement à la fin on taggue le condensat
+        ! seulement a la fin on taggue le condensat
         if (option_cond.ge.1) then
          do im = 1, nd
          do jm = 1, nd
          do il = 1, ncum    
-           ! colorier le condensat en un tag spécifique
+           ! colorier le condensat en un tag specifique
            do ixt=niso+1,ntraciso
              if (index_zone(ixt).eq.izone_cond) then
@@ -3567,5 +3567,5 @@
          do im = 1, nd
          do il = 1, ncum    
-           ! colorier le condensat en un tag spécifique
+           ! colorier le condensat en un tag specifique
            do ixt=niso+1,ntraciso
              if (index_zone(ixt).eq.izone_cond) then
@@ -3991,5 +3991,5 @@
         call iso_verif_traceur(xtwdtrain(1,il),'cv3_routine 2540')
         if (option_cond.ge.1) then
-          ! on vérifie que tout le détrainement est taggé condensat
+          ! on verifie que tout le detrainement est tagge condensat
           if (iso_verif_positif_nostop( &
      &          xtwdtrain(index_trac(izone_cond,iso_eau),il) &
@@ -4156,5 +4156,5 @@
 !!---end jyg---
 
-! --------retour à la formulation originale d'Emanuel.
+! --------retour a la formulation originale d'Emanuel.
         IF (cvflag_ice) THEN
 
@@ -4170,7 +4170,7 @@
 
 !JAM  Attention: evap=sigt*E
-!    Modification: evap devient l'évaporation en milieu de couche
-!    car nécessaire dans cv3_yield
-!    Du coup, il faut modifier pas mal d'équations...
+!    Modification: evap devient l'evaporation en milieu de couche
+!    car necessaire dans cv3_yield
+!    Du coup, il faut modifier pas mal d'equations...
 !    et l'expression de afac qui devient afac1
 !    revap=sqrt((prec(i+1)+prec(i))/2)
@@ -4191,5 +4191,5 @@
 !JYG    Dans sa formulation originale, Emanuel calcule l'evaporation par:
 ! c             evap(il,i)=sigt*afac*revap
-! ce qui n'est pas correct. Dans cv_routines, la formulation a été modifiee.
+! ce qui n'est pas correct. Dans cv_routines, la formulation a ete modifiee.
 ! Ici,l'evaporation evap est simplement calculee par l'equation de
 ! conservation.
@@ -4525,5 +4525,5 @@
 #ifdef ISO
 #ifdef ISOVERIF
-! verif des inputs à appel stewart
+! verif des inputs a appel stewart
       do il=1,ncum 
        if (i.le.inb(il) .and. lwork(il)) then
@@ -4543,5 +4543,5 @@
        enddo
 #endif
-        ! appel de appel_stewart_vectorisé
+        ! appel de appel_stewart_vectorise
         call appel_stewart_vectall_np(lwork,ncum, &
      &                   ph,t,evap,xtwdtrain, &
@@ -4611,5 +4611,5 @@
 #endif
         
-! équivalent isotopique de rp(il,i)=amin1(rp(il,i),rs(il,i))
+! equivalent isotopique de rp(il,i)=amin1(rp(il,i),rs(il,i))
        do il=1,ncum
         if (i.lt.inb(il) .and. lwork(il)) then
@@ -4651,5 +4651,5 @@
 #endif
           rpprec(il,i)=rs(il,i)      
-         ! sous cas rajouté le 11dec 2011. Normalement, pas utile 
+         ! sous cas rajoute le 11dec 2011. Normalement, pas utile 
          else if (rp(il,i).eq.0.0) then                 
             do ixt=1,ntraciso
@@ -4864,8 +4864,8 @@
       real xtbx(ntraciso), xtawat(ntraciso,nloc)
       ! cam debug
-      ! pour l'homogénéisation sous le nuage:
+      ! pour l'homogeneisation sous le nuage:
       real bxtsum(ntraciso,nloc), fxtsum(ntraciso,nloc)
 #ifdef DIAGISO
-        ! diagnostiques juste: tendance des différents processus
+        ! diagnostiques juste: tendance des differents processus
       real fxt_detrainement(niso,nloc,nd)
       real fxt_fluxmasse(niso,nloc,nd)
@@ -4917,5 +4917,5 @@
 #ifdef ISO
        ! cam debug
-!       write(*,*) 'cv3_routines 3082: entrée dans cv3_yield'
+!       write(*,*) 'cv3_routines 3082: entree dans cv3_yield'
        ! en cam debug
        do ixt = 1, ntraciso
@@ -4994,5 +4994,5 @@
   END DO
 #ifdef ISO
-! on initialise mieux fr et fxt par securité
+! on initialise mieux fr et fxt par securite
   fr(:,:)=0.0
   fxt(:,:,:)=0.0
@@ -5845,6 +5845,6 @@
         else ! taggage des ddfts:
         ! la formule pour fq_ddft suppose que le ddft est en RP. Ce n'est pas le
-        ! cas pour le water tagging puisqu'il y a conversion des molécules
-        ! blances entrainées en molécule rouges.
+        ! cas pour le water tagging puisqu'il y a conversion des molecules
+        ! blances entrainees en molecule rouges.
         ! Il faut donc prendre en compte ce taux de conversion quand
         ! entrainement d'env vers ddft
@@ -5855,13 +5855,13 @@
 !     :           -conversion(iiso)   
 
-        ! Pb: quand on discretise, dqp/dt n'est pas vérifée numériquement.
-        ! on se retrouve donc avec des d Ye/dt différents de 0 même si ye=0 ( on
-        ! note X les molécules poubelles et Y les molécules ddfts).
+        ! Pb: quand on discretise, dqp/dt n'est pas verifee numeriquement.
+        ! on se retrouve donc avec des d Ye/dt differents de 0 meme si ye=0 ( on
+        ! note X les molecules poubelles et Y les molecules ddfts).
 
         ! Solution alternative: Dans le cas entrainant, Ye ne varie que par
         ! ascendance compensatoire des ddfts et par perte de Ye vers le ddft. On
-        ! calcule donc ce terme directement avec schéma amont: 
-
-        ! ajout déjà de l'évap
+        ! calcule donc ce terme directement avec schema amont: 
+
+        ! ajout deja de l'evap
         do ixt = 1+niso,ntraciso
              fxt(ixt,il,i)=fxt(ixt,il,i) &
@@ -5941,5 +5941,5 @@
 #endif
                 else !if (abs(dXe).gt.ridicule) then
-                    ! dans ce cas, fxtXe doit être faible
+                    ! dans ce cas, fxtXe doit etre faible
                     
 #ifdef ISOVERIF
@@ -5957,5 +5957,5 @@
                       fxt(ixt,il,i)=fxt(ixt,il,i)+fxtXe(iiso)
                     else !if (izone.eq.izone_poubelle) then
-                        ! pas de tendance pour ce tag là
+                        ! pas de tendance pour ce tag la
                     endif !if (izone.eq.izone_poubelle) then
                    endif !if ((izone.ne.izone_revap).and.
@@ -5971,5 +5971,5 @@
                
             else !if (mp(il,i).gt.mp(il,i+1)) then
-                ! cas détrainant: pas de problèmes
+                ! cas detrainant: pas de problemes
                 do ixt=1+niso,ntraciso
                 fxt(ixt,il,i)=fxt(ixt,il,i) &
@@ -6176,19 +6176,19 @@
         ! on change le traitement de cette ligne le 8 mai 2009:
         ! avant, on avait: xtawat=xtelij(il,k,i)-(1.-xtep(il,i))*xtclw(il,i)
-        ! c'est à dire que Rawat=Relij+(1-ep)*clw/awat*(Relij-Rclw)
-        ! si Relij!=Rclw, alors un fractionnement isotopique non physique était
+        ! c'est a dire que Rawat=Relij+(1-ep)*clw/awat*(Relij-Rclw)
+        ! si Relij!=Rclw, alors un fractionnement isotopique non physique etait
         ! introduit.
-        ! En fait, awat représente le surplus de condensat dans le mélange par
-        ! rapport à celui restant dans la colonne adiabatique
-        ! ce surplus à la même compo que le elij, sans fractionnement.
-        ! d'où le nouveau traitement ci-dessous.
+        ! En fait, awat represente le surplus de condensat dans le melange par
+        ! rapport a celui restant dans la colonne adiabatique
+        ! ce surplus a la meme compo que le elij, sans fractionnement.
+        ! d'ou le nouveau traitement ci-dessous.
       if (elij(il,k,i).gt.0.0) then
         do ixt = 1, ntraciso
           xtawat(ixt,il)=awat(il)*(xtelij(ixt,il,k,i)/elij(il,k,i))
-!          xtawat(ixt)=amax1(xtawat(ixt),0.0) ! pas nécessaire
+!          xtawat(ixt)=amax1(xtawat(ixt),0.0) ! pas necessaire
         enddo !do ixt = 1, ntraciso
       else !if (elij(il,k,i).gt.0.0) then
           ! normalement, si elij(il,k,i)<=0, alors awat=0
-          ! on le vérifie. Si c'est vrai -> xtawat=0 aussi
+          ! on le verifie. Si c'est vrai -> xtawat=0 aussi
 #ifdef ISOVERIF
         call iso_verif_egalite(awat(il),0.0,'cv3_yield 3779')
@@ -6850,8 +6850,8 @@
         fq_detrainement(il, i) = fq_detrainement(il, i)/alpha_qpos(il)
         do ixt=1,ntraciso
-          fq_ddft(ixt,il, i) = fq_ddft(ixt,il, i)/alpha_qpos(il)
-          fq_evapprecip(ixt,il, i) = fq_evapprecip(ixt,il, i)/alpha_qpos(il)
-          fq_fluxmasse(ixt,il, i) = fq_fluxmasse(ixt,il, i)/alpha_qpos(il)
-          fq_detrainement(ixt,il, i) = fq_detrainement(ixt,il, i)/alpha_qpos(il)
+          fxt_ddft(ixt,il, i) = fxt_ddft(ixt,il, i)/alpha_qpos(il)
+          fxt_evapprecip(ixt,il, i) = fxt_evapprecip(ixt,il, i)/alpha_qpos(il)
+          fxt_fluxmasse(ixt,il, i) = fxt_fluxmasse(ixt,il, i)/alpha_qpos(il)
+          fxt_detrainement(ixt,il, i) = fxt_detrainement(ixt,il, i)/alpha_qpos(il)
         enddo ! do ixt=1,ntraciso
 #endif       
@@ -7179,5 +7179,5 @@
     ENDDO       ! k
 
-! 14/01/15 AJ delta n'a rien à faire là...                                                 
+! 14/01/15 AJ delta n'a rien a faire la...                                                 
     DO il = 1, ncum                                                  ! cld
 !!      IF (wa(il,i)>0.0 .AND. iflag(il)<=1) &                         ! cld
@@ -7195,5 +7195,5 @@
 
 ! IM cf. FH 
-! 14/01/15 AJ ne correspond pas à ce qui a été codé par JYG et SB           
+! 14/01/15 AJ ne correspond pas a ce qui a ete code par JYG et SB           
                                                          
       IF (iflag_clw==0) THEN                                         ! cld
@@ -7290,5 +7290,5 @@
 
 ! fraction deau condensee dans les melanges convertie en precip : epm
-! et eau condensée précipitée dans masse d'air saturé : l_m*dM_m/dzdz.dzdz
+! et eau condensee precipitee dans masse d'air sature : l_m*dM_m/dzdz.dzdz
   DO j = 1, nl
     DO k = 1, nl
@@ -7576,7 +7576,7 @@
 
         ! On fait varier epmax en fn de la cape
-        ! Il faut donc recalculer ep, et hp qui a déjà été calculé et
-        ! qui en dépend
-        ! Toutes les autres variables fn de ep sont calculées plus bas.
+        ! Il faut donc recalculer ep, et hp qui a deja ete calcule et
+        ! qui en depend
+        ! Toutes les autres variables fn de ep sont calculees plus bas.
 
   include "cvthermo.h"
@@ -7613,5 +7613,5 @@
 
         ! il faut calculer la cape: on fait un calcule simple car tant qu'on ne
-        ! connait pas ep, on ne connait pas les mélanges, ddfts etc... qui sont
+        ! connait pas ep, on ne connait pas les melanges, ddfts etc... qui sont
         ! necessaires au calcul de la cape dans la nouvelle physique
         
Index: /LMDZ6/trunk/libf/phylmdiso/infotrac_phy.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmdiso/infotrac_phy.F90	(revision 4049)
+++ /LMDZ6/trunk/libf/phylmdiso/infotrac_phy.F90	(revision 4050)
@@ -51,12 +51,4 @@
   INTEGER, ALLOCATABLE, DIMENSION(:), SAVE    :: niadv ! equivalent dyn / physique
 !$OMP THREADPRIVATE(niadv)
-
-! CRisi: tableaux de fils
-  INTEGER, ALLOCATABLE, DIMENSION(:), SAVE    :: nqfils
-  INTEGER, ALLOCATABLE, DIMENSION(:), SAVE    :: nqdesc ! nombres de fils + nombre de tous les petits fils sur toutes les générations
-  INTEGER, SAVE :: nqdesc_tot
-  INTEGER, ALLOCATABLE, DIMENSION(:,:), SAVE    :: iqfils
-  INTEGER, ALLOCATABLE, DIMENSION(:), SAVE    :: iqpere
-!$OMP THREADPRIVATE(nqfils,nqdesc,nqdesc_tot,iqfils,iqpere)
 
 ! conv_flg(it)=0 : convection desactivated for tracer number it 
@@ -84,12 +76,6 @@
     INTEGER, ALLOCATABLE, DIMENSION(:,:), SAVE ::  iqiso ! donne indice iq en fn de (ixt,phase) 
 !$OMP THREADPRIVATE(iqiso)
-    INTEGER, ALLOCATABLE, DIMENSION(:), SAVE ::  iso_num ! donne numéro iso entre 1 et niso_possibles en fn de nqtot
-!$OMP THREADPRIVATE(iso_num)
     INTEGER, ALLOCATABLE, DIMENSION(:), SAVE ::  iso_indnum ! donne numéro iso entre 1 et niso effectif en fn de nqtot
 !$OMP THREADPRIVATE(iso_indnum)
-    INTEGER, ALLOCATABLE, DIMENSION(:), SAVE ::  zone_num ! donne numéro de la zone de tracage en fn de nqtot
-!$OMP THREADPRIVATE(zone_num)
-    INTEGER, ALLOCATABLE, DIMENSION(:), SAVE ::  phase_num ! donne numéro de la zone de tracage en fn de nqtot
-!$OMP THREADPRIVATE(phase_num)
     INTEGER, DIMENSION(niso_possibles), SAVE :: indnum_fn_num ! donne indice entre entre 1 et niso en fonction du numéro d isotope entre 1 et niso_possibles
 !$OMP THREADPRIVATE(indnum_fn_num)
@@ -106,9 +92,7 @@
   SUBROUTINE init_infotrac_phy(nqtot_,nqo_,nbtr_,nqtottr_,nqCO2_,tracers_,type_trac_,&
                                niadv_,conv_flg_,pbl_flg_,solsym_,&
-                               nqfils_,nqdesc_,nqdesc_tot_,iqfils_,iqpere_,&
                                ok_isotopes_,ok_iso_verif_,ok_isotrac_,&
                                ok_init_iso_,niso_possibles_,tnat_,&
-                               alpha_ideal_,use_iso_,iqiso_,iso_num_,&
-                               iso_indnum_,zone_num_,phase_num_,&
+                               alpha_ideal_,use_iso_,iqiso_,iso_indnum_,&
                                indnum_fn_num_,index_trac_,&
                                niso_,ntraceurs_zone_,ntraciso_,itr_indice_&
@@ -143,9 +127,4 @@
     CHARACTER(len=*),INTENT(IN) :: solsym_(nbtr_)
     ! Isotopes:
-    INTEGER,INTENT(IN) :: nqfils_(nqtot_)
-    INTEGER,INTENT(IN) :: nqdesc_(nqtot_)
-    INTEGER,INTENT(IN) :: nqdesc_tot_
-    INTEGER,INTENT(IN) :: iqfils_(nqtot_,nqtot_)
-    INTEGER,INTENT(IN) :: iqpere_(nqtot_)
     LOGICAL,INTENT(IN) :: ok_isotopes_
     LOGICAL,INTENT(IN) :: ok_iso_verif_
@@ -157,8 +136,5 @@
     LOGICAL,INTENT(IN) :: use_iso_(niso_possibles_)
     INTEGER,INTENT(IN) :: iqiso_(ntraciso_,nqo_)
-    INTEGER,INTENT(IN) :: iso_num_(nqtot_)
     INTEGER,INTENT(IN) :: iso_indnum_(nqtot_)
-    INTEGER,INTENT(IN) :: zone_num_(nqtot_)
-    INTEGER,INTENT(IN) :: phase_num_(nqtot_)
     INTEGER,INTENT(IN) :: indnum_fn_num_(niso_possibles_)
     INTEGER,INTENT(IN) :: index_trac_(ntraceurs_zone_,niso_)
@@ -216,14 +192,4 @@
     
     IF (ok_isotopes) THEN
-      ALLOCATE(nqfils(nqtot))
-      nqfils(:)=nqfils_(:)
-      ALLOCATE(nqdesc(nqtot))
-      nqdesc(:)=nqdesc_(:)
-      nqdesc_tot=nqdesc_tot_
-      ALLOCATE(iqfils(nqtot,nqtot))
-      iqfils(:,:)=iqfils_(:,:)
-      ALLOCATE(iqpere(nqtot))
-      iqpere(:)=iqpere_(:)
-    
       tnat(:)=tnat_(:)
       alpha_ideal(:)=alpha_ideal_(:)
@@ -232,12 +198,6 @@
       ALLOCATE(iqiso(ntraciso,nqo))
       iqiso(:,:)=iqiso_(:,:)
-      ALLOCATE(iso_num(nqtot))
-      iso_num(:)=iso_num_(:)
       ALLOCATE(iso_indnum(nqtot))
       iso_indnum(:)=iso_indnum_(:)
-      ALLOCATE(zone_num(nqtot))
-      zone_num(:)=zone_num_(:)
-      ALLOCATE(phase_num(nqtot))
-      phase_num(:)=phase_num_(:)
       
       indnum_fn_num(:)=indnum_fn_num_(:)
@@ -255,5 +215,5 @@
         write(*,*) 'itr_indice=',itr_indice
 #ifdef ISOVERIF
-        write(*,*) 'iso_num=',iso_num
+        write(*,*) 'iso_iName=',tracers(:)%iso_iName
 #endif
   
Index: /LMDZ6/trunk/libf/phylmdiso/isotopes_verif_mod.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmdiso/isotopes_verif_mod.F90	(revision 4049)
+++ /LMDZ6/trunk/libf/phylmdiso/isotopes_verif_mod.F90	(revision 4050)
@@ -2123,25 +2123,46 @@
        end function iso_verif_tracdD_choix_nostop
 
-       subroutine iso_verif_trac17_q_deltaD(x,err_msg)
-        use isotrac_mod, only: nzone_temp,option_traceurs
-        USE infotrac_phy, ONLY: ntraciso
-       implicit none
-
-        ! inputs
-        real x(ntraciso)
-        character*(*) err_msg
-        ! local 
-        integer iso_verif_tag17_q_deltaD_chns
-
-       if ((option_traceurs.eq.17).or. &
-     &           (option_traceurs.eq.18)) then
-       if (nzone_temp.ge.5) then
-          if (iso_verif_tag17_q_deltaD_chns(x,err_msg).eq.1) then
-                stop
-          endif
-        endif
-        endif !if (option_traceurs.eq.17) then
-
-        end subroutine iso_verif_trac17_q_deltaD
+INTEGER FUNCTION iso_verif_tag17_q_deltaD_chns(x,err_msg) RESULT(res)
+  USE infotrac_phy, ONLY: index_trac, ntraciso
+  USE isotopes_mod, ONLY: iso_HDO, iso_eau, ridicule
+  USE isotrac_mod,  ONLY: nzone_temp, option_traceurs
+  IMPLICIT NONE
+  REAL,             INTENT(IN) :: x(ntraciso)
+  CHARACTER(LEN=*), INTENT(IN) :: err_msg
+  INTEGER :: ieau, ixt, ieau1
+  res = 0
+  IF(ALL([17,18]/=option_traceurs)) RETURN
+  !--- Check whether * deltaD(highest tagging layer) < 200 permil
+  !                  * q <
+  ieau=index_trac(nzone_temp,iso_eau)
+  ixt=index_trac(nzone_temp,iso_HDO)
+  IF(x(ieau)>ridicule) THEN
+    IF(iso_verif_positif_nostop(-200.0-deltaD(x(ixt)/x(ieau)), err_msg//': deltaDt05 trop fort')==1) THEN
+      res=1; write(*,*) 'x=',x
+    END IF
+  END IF
+  IF(iso_verif_positif_nostop(2.0e-3-x(ieau),err_msg//': qt05 trop fort')==1) THEN
+    res=1; write(*,*) 'x=',x
+  END IF
+  !--- Check whether q is small ; then, qt01 < 10%
+  IF(x(iso_eau)<2.0e-3) THEN
+    ieau1= index_trac(1,iso_eau)
+    IF(iso_verif_positif_nostop(0.1-(x(ieau1)/x(iso_eau)),err_msg//': qt01 trop abondant')==1) THEN
+      res=1; write(*,*) 'x=',x
+    END IF
+  END IF
+END FUNCTION iso_verif_tag17_q_deltaD_chns
+
+SUBROUTINE iso_verif_trac17_q_deltaD(x,err_msg)
+  USE isotrac_mod,  ONLY: nzone_temp, option_traceurs
+  USE infotrac_phy, ONLY: ntraciso
+  IMPLICIT NONE
+  REAL,             INTENT(IN) :: x(ntraciso)
+  CHARACTER(LEN=*), INTENT(IN) :: err_msg
+  IF(ALL([17,18]/=option_traceurs)) RETURN
+  IF(nzone_temp>=5) THEN
+    IF(iso_verif_tag17_q_deltaD_chns(x,err_msg)==1) STOP
+  END IF
+END SUBROUTINE iso_verif_trac17_q_deltaD
 
       subroutine iso_verif_traceur(x,err_msg)
@@ -2676,57 +2697,4 @@
         
         end function iso_verif_traceur_jm_nostop
-
-        function iso_verif_tag17_q_deltaD_chns(x,err_msg)
-        USE infotrac_phy, ONLY: index_trac,ntraciso
-        use isotopes_mod, ONLY: iso_HDO,iso_eau,ridicule
-        use isotrac_mod, only: nzone_temp,option_traceurs
-        implicit none
-
-        ! inputs
-        real x(ntraciso)
-        character*(*) err_msg
-        ! output 
-        integer iso_verif_tag17_q_deltaD_chns
-        ! locals
-        !integer iso_verif_positif_nostop
-        !real deltaD
-        integer ieau,ixt,ieau1
-
-        iso_verif_tag17_q_deltaD_chns=0
-
-        if ((option_traceurs.eq.17).or. &
-     &           (option_traceurs.eq.18)) then
-        ! verifier que deltaD du tag de la couche la plus haute <
-        ! 200 permil, et vérifier que son q est inférieur à 
-        ieau=index_trac(nzone_temp,iso_eau)
-        ixt=index_trac(nzone_temp,iso_HDO)
-
-        if (x(ieau).gt.ridicule) then
-          if (iso_verif_positif_nostop(-200.0-deltaD(x(ixt)/x(ieau)), &
-     &           err_msg//': deltaDt05 trop fort').eq.1) then
-                write(*,*) 'x=',x
-                iso_verif_tag17_q_deltaD_chns=1
-          endif !if (iso_verif_positif_nostop(-200.0-deltaD(x(ixt),x(ieau)),
-        endif !if (x(ieau).gt.ridicule) then
-
-        if (iso_verif_positif_nostop(2.0e-3-x(ieau), &
-     &           err_msg//': qt05 trop fort').eq.1) then
-                write(*,*) 'x=',x
-                iso_verif_tag17_q_deltaD_chns=1
-        endif !if (iso_verif_positif_nostop(1.0e-3-x(ieau),
-
-        ! on vérifie que si q est petit, alors qt01 fait moins de 10%
-        if (x(iso_eau).lt.2.0e-3) then
-           ieau1= index_trac(1,iso_eau)
-           if (iso_verif_positif_nostop(0.1-(x(ieau1)/x(iso_eau)), &
-     &            err_msg//': qt01 trop abondant').eq.1) then
-             write(*,*) 'x=',x
-                iso_verif_tag17_q_deltaD_chns=1
-           endif ! if (iso_verif_positif(0.1-(x(ixt)/x(ieau)),
-        endif !if (x(ieau).lt.2.0e-3) then
-
-        endif !if (option_traceurs.eq.17) then
-
-        end function iso_verif_tag17_q_deltaD_chns
 
         subroutine iso_verif_tag17_q_deltaD_vect(x,n,m,err_msg)
Index: /LMDZ6/trunk/libf/phylmdiso/phyetat0.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmdiso/phyetat0.F90	(revision 4049)
+++ /LMDZ6/trunk/libf/phylmdiso/phyetat0.F90	(revision 4050)
@@ -45,5 +45,5 @@
   use config_ocean_skin_m, only: activate_ocean_skin
 #ifdef ISO
-  USE infotrac_phy, ONLY: ntraciso,niso,iso_num
+  USE infotrac_phy, ONLY: niso
   USE isotopes_routines_mod, ONLY: phyisoetat0
   USE isotopes_mod, ONLY: iso_eau
Index: /LMDZ6/trunk/libf/phylmdiso/phys_output_mod.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmdiso/phys_output_mod.F90	(revision 4049)
+++ /LMDZ6/trunk/libf/phylmdiso/phys_output_mod.F90	(revision 4050)
@@ -35,7 +35,6 @@
     USE iophy 
     USE dimphy
-    USE infotrac_phy, ONLY: nqtot, nqo, niadv, tracers, type_trac, &
+    USE infotrac_phy, ONLY: nqtot, nqo, niadv, tracers, type_trac, maxlen, &
         nqtottr,itr_indice ! C Risi
-    USE strings_mod,  ONLY: maxlen
     USE ioipsl
     USE phys_cal_mod, only : hour, calend
@@ -537,5 +536,4 @@
         write(lunout,*) 'itr_indice=',itr_indice
 !       IF (nqtot>=nqo+1) THEN
-         IF (nqtottr>=1) THEN
 !
             !DO iq=nqo+1,nqtot 
@@ -579,5 +577,4 @@
             tnam = 'cum'//TRIM(tracers(iiq)%name); o_trac_cum(itr)= ctrl_out(flag, tnam, lnam, "-", [('',i=1,nfiles)])
           ENDDO
-       ENDIF
 
    ENDDO !  iff
Index: /LMDZ6/trunk/libf/phylmdiso/physiq_mod.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmdiso/physiq_mod.F90	(revision 4049)
+++ /LMDZ6/trunk/libf/phylmdiso/physiq_mod.F90	(revision 4050)
@@ -123,5 +123,5 @@
 #ifdef ISO
     USE infotrac_phy, ONLY:  &
-        iqiso,iso_num,iso_indnum,zone_num,ok_isotrac, &
+        iqiso,iso_indnum,tracers,ok_isotrac, &
         niso,ntraciso,nqtottr,itr_indice ! ajout C Risi pour isos
      USE isotopes_mod, ONLY: iso_eau,iso_HDO,iso_O18,iso_O17,iso_HTO, &
@@ -141,5 +141,5 @@
         & iso_verif_aberrant_choix,iso_verif_positif, &
         & iso_verif_positif_choix_vect,iso_verif_o18_aberrant_nostop, &
-        & iso_verif_init, &
+        & iso_verif_init,&
         & iso_verif_positif_strict_nostop,iso_verif_O18_aberrant_enc_vect2D
 #endif
@@ -155,5 +155,5 @@
 &       iso_verif_traceur_justmass,iso_verif_traceur_vect, &
 &       iso_verif_trac17_q_deltad,iso_verif_trac_masse_vect, &
-&       iso_verif_tracpos_choix_nostop
+&       iso_verif_tag17_q_deltaD_vect, iso_verif_tracpos_choix_nostop
 #endif
 #endif
@@ -2366,5 +2366,5 @@
 #endif
       if (ixt.gt.niso) then
-      write(*,*) 'izone,iiso=',zone_num(iqiso(ixt,ivap)),iso_indnum(iqiso(ixt,ivap))  
+      write(*,*) 'izone,iiso=',tracers(iqiso(ixt,ivap))%iso_iZone,iso_indnum(iqiso(ixt,ivap))  
       endif
       DO k = 1, klev
